$fa-font-path: "~@fortawesome/fontawesome-free/webfonts";
$fp-4x3-path: "~flagpack/flags/4x3/";
$fp-1x1-path: "~flagpack/flags/1x1/";

@import "~@fontsource/fira-sans/scss/mixins";
@import "~@fortawesome/fontawesome-free/scss/fontawesome";
@import "~@fortawesome/fontawesome-free/scss/solid";
@import "~@fortawesome/fontawesome-free/scss/brands";
@import "~@fortawesome/fontawesome-free/scss/regular";
@import "~flagpack/src/flagpack";

@tailwind base;
@tailwind components;
@tailwind utilities;

.main-container {
  @apply
    leading-normal
    tracking-normal
    text-gray-600;

  font-family: "Fira Sans", sans-serif;
}

.bottom-border-button {
  @apply
    text-sm
    w-32
    bg-white
    tracking-wide
    text-gray-400
    rounded
    border-b-2
    shadow-sm
    py-2
    px-6
    inline-flex
    items-center
    border-primary-600;
}

.bottom-border-button:hover {
  @apply
    border-primary-400
    bg-primary-600
    text-white;
}

.icon-only-button {
  @apply
    inline-block
    no-underline
    text-center
    h-10
    p-2;
}

.icon-only-button-default {
  @apply
    icon-only-button
    text-opacity-20
    text-primary-400;
}

.icon-only-button-hover {
  @apply
    icon-only-button
    text-opacity-100
    text-primary-600;
}

.icon-only-button:hover {
  @apply
    text-primary-600;

  animation: bounce;
}

.main-input-field {
  @apply
    rounded-lg
    p-4
    border
    w-full
    text-gray-800
    border-gray-200
    bg-white
    text-4xl
    text-center;
}

.main-input-field:focus {
  @apply
    ring-primary-600
    border-primary-600;
}

.main-input-field-addon {
  @apply
    flex
    flex-row
    absolute
    top-0
    text-center
    text-2xl
    leading-none
    mt-6
    text-gray-300
    transition-colors;
}

.main-input-field-addon:hover {
  @apply
    text-gray-900;
}

.main-input-field-addon:focus {
  @apply
    outline-none;
}

.default-toast {
  @apply
    absolute
    top-0
    w-full
    bg-opacity-75
    invisible;
}

.default-toast.show {
  @apply
    visible
    transition-all;

  -webkit-animation: slide-in-top;
  animation: slide-in-top;
}

@-webkit-keyframes slide-in-top {
  from {
    transform: translateY(-1000px);
    opacity: 0
  }

  to {
    transform: translateY(0);
    opacity: 1
  }
}

@keyframes slide-in-top {
  from {
    transform: translateY(-1000px);
    opacity: 0
  }

  to {
    transform: translateY(0);
    opacity: 1
  }
}

.default-toast:hover {
  @apply
    bg-opacity-100;
}
